/**
  *  \file arch\win32-bcc55\shell.cc
  *  \brief Shell folders etc.
  */

#define CINTERFACE
#include <shlobj.h>
#include <windows.h>
#include "arch/platform.h"
#include "cpluslib/string.h"
#include "arch/win32/win32.h"
#include "io/dirs.h"

string_t
Platform::getUserSettingsDirectory(int version)
{
    /* The user settings are stored in %APPDATA%\PCC2 (new), or
       directly in %APPDATA% (old). */
    string_t rv = win32::getShellFolder(CSIDL_APPDATA);
    if (rv.empty())
        rv = string_t("C:\\");

    if (version > 0)
        return Directory::makeFileName(rv, "PCC2");
    else
        return rv;
}
