/**
  *  \file client/widgets/selinfo.h
  *  \brief Selection Layer Information Widget
  *
  *  (c) 2001-2018 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_SELINFO_H
#define PCC_V2_CLIENT_WIDGETS_SELINFO_H

#include "ui/ui.h"

/** Selection Layer Information Widget.
    This widget displays information about one selection layer. */
class WSelectionLayerInfo : public UIWidget {
    int layer;
    SignalConnection conn_sel_change;
 public:
    WSelectionLayerInfo(int id, int layer);
    ~WSelectionLayerInfo();

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);
};

#endif
