/**
  *  \file game/sim-game.h
  *  \brief Simulator / Game Interface
  *
  *  (c) 2001-2018 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_SIM_GAME_H
#define PCC_V2_GAME_SIM_GAME_H

#include "game/sim.h"
#include "game/univ.h"
#include "game/sim-if.h"

class GShip;

class GSimulatorRealGameInterface : public GSimulatorGameInterface {
    GUniverse& univ;
 public:
    GSimulatorRealGameInterface(GUniverse& univ);
    ~GSimulatorRealGameInterface();

    virtual string_t getPlanetName(int id);
    virtual int getShipOwner(int id);
    virtual bool isGameAvailable();
    virtual bool updateFromGame(GSimShip& sh);
    virtual bool updateToGame(const GSimShip& sh);
    virtual bool isGamePlanet(const GSimPlanet& pl);
    virtual bool updateFromGame(GSimPlanet& pl);
    virtual bool updateToGame(const GSimPlanet& pl);

    virtual ShipRelation getShipRelation(const GSimShip& sh);
    virtual bool selectGameShip(const GSimShip& sh);

    static bool copyShip(GSimShip& sh, const GShip& game_ship);
    static bool copyPlanet(GSimPlanet& pl, const GPlanet& game_planet);
};

#endif
