/**
  *  \file int/if/plugif.h
  *
  *  (c) 2001-2018 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_IF_PLUGIF_H
#define PCC_V2_INT_IF_PLUGIF_H

#include "int/args.h"
#include "int/context.h"

class IntPluginContext : public IntContext {
 public:
    IntPluginContext(const string_t& id);
    ~IntPluginContext();

    virtual int32_t lookup(const IntNameQuery& name);
    virtual void set(int32_t index, IntValue* value);
    virtual IntValue* get(int32_t index);
    virtual bool next();
    virtual IntContext* clone();
    virtual GObject* getObject();
    virtual void enumProperties(IntPropertyAcceptor& acceptor);

    // IntValue:
    string_t toString(bool readable);
    void store(IntTagNode& sv, Stream& aux);

    const string_t& getId()
        { return id; }

 private:
    string_t id;
};

enum IntPluginProperty {
    ipiId,
    ipiName,
    ipiDescription,
    ipiBaseDirectory
};

IntValue* IFSystemPlugin(IntArgBlock& args);

IntValue* getPluginProperty(const string_t& id, IntPluginProperty ipi);

#endif
