/**
  *  \file u/t_game_hullfunc.cc
  *
  *  (c) 2001-2018 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "game/hullfunc.h"
#include "u/t_game.h"

void
GameHullfuncTestSuite::testHullFuncList()
{
    // Simplify, border case
    {
        GHullFunction oneR(42);
        GHullFunction oneH(42);
        oneR.setKind(GHullFunction::AssignedToRace);
        oneH.setKind(GHullFunction::AssignedToHull);

        GHullFunctionList hfl;
        hfl.add(oneR);
        hfl.add(oneH);
        hfl.simplify();

        TS_ASSERT_EQUALS(hfl.size(), 1U);
        TS_ASSERT_EQUALS(hfl[0].getBasicFunctionId(), 42);
    }
}
