/**
  *  \file ui/widgets/framegroup.h
  *  \brief UIFrameGroup widget
  *
  *  (c) 2001-2018 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_WIDGETS_FRAMEGROUP_H
#define PCC_V2_UI_WIDGETS_FRAMEGROUP_H

#include "ui/ui.h"

class ObjectHolder;

class UIFrameGroup : public UILayoutableWidget {
    int frame;
 public:
    UIFrameGroup(UILayoutManager& lay, int frame = 1);
    void drawContent(GfxCanvas& can);
    void adjustSize(GfxRect& size, bool to_inner);

    static UIFrameGroup& wrap(ObjectHolder& h, UIBaseWidget& widget);
};

#endif
